commit:     6a6b341140ec0c682dc662ade9e190676f1c6950
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Tue Dec 12 02:02:47 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Dec 12 08:13:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a6b3411

gui-wm/hyprland: add 0.33.1

Signed-off-by: Julien Roy <julien <AT> jroy.ca>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 gui-wm/hyprland/Manifest               |   1 +
 gui-wm/hyprland/hyprland-0.33.1.ebuild | 121 +++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index 6b3c245c32d2..9dfae0f15e7f 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1,2 +1,3 @@
 DIST hyprland-0.31.0.gh.tar.gz 14068621 BLAKE2B 
272ba0c92ee6f8db623bb7b79a64ec1a3f2d2e0e1a8825ab7cc43e30dc64d77396ae014469a308c10deea0f9607680ff3a9328b747c82acccd5156e9d9c07cde
 SHA512 
27798eba3bc430fe3689ecfb6ae38a59f48c39183c8cbd4fea8dca0a92a25941e6ee8b51d70f18498a3b0ef6c2575658299ee36ed6a6a93c7b54548ab64f07ca
 DIST hyprland-0.32.3.gh.tar.gz 14119304 BLAKE2B 
304878a3bb167da9ceae8afbde21bf2c64b81ffd61c13ccfd772f240d234bb9cbd448f7ae2d0fcc6d8e7c7e29e1eca66ad68d98cfef9b22caccae9ee9f3ae39d
 SHA512 
521cfa6b3621142cb4cc1e6c11978e49f28b29836a1a8e00cc2c697f44dcf620da63e9d39deeabb41130a56c65464b6117416c8a3c1bd690bb056955b7ccea40
+DIST hyprland-0.33.1.gh.tar.gz 14120494 BLAKE2B 
bd007d332b39b614aefe09b240a340ee9d9eed346bc80dc66e976cf2fbf85ca342fe8bd66b863f1626be7366b9623c4543957f0618c858cec133ee9dd6ac027e
 SHA512 
7e45266310452a12ada4761a9b76a7a385e55f6fae6a446c78595e89fcb8b1cef8275e09bf3b9b636a096498c5c2328b1d00b0c33447ab4d018a9a6956855352

diff --git a/gui-wm/hyprland/hyprland-0.33.1.ebuild 
b/gui-wm/hyprland/hyprland-0.33.1.ebuild
new file mode 100644
index 000000000000..049bd8915031
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.33.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its 
looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland";
+
+SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz
 -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-source"
+
+KEYWORDS="~amd64 ~riscv"
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd"
+
+# bundled wlroots has the following dependency string according to included 
headers.
+# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
+# enable x11-backend with X and vice versa
+WLROOTS_RDEPEND="
+       >=dev-libs/libinput-1.14.0:=
+       dev-libs/libliftoff
+       >=dev-libs/wayland-1.22
+       media-libs/libdisplay-info
+       media-libs/libglvnd
+       media-libs/mesa[egl(+),gles2]
+       sys-apps/hwdata:=
+       sys-auth/seatd:=
+       >=x11-libs/libdrm-2.4.118
+       x11-libs/libxkbcommon
+       >=x11-libs/pixman-0.42.0
+       virtual/libudev:=
+       X? (
+               x11-base/xwayland
+               x11-libs/libxcb:0=
+               x11-libs/xcb-util-renderutil
+               x11-libs/xcb-util-wm
+       )
+"
+WLROOTS_DEPEND="
+       >=dev-libs/wayland-protocols-1.32
+"
+WLROOTS_BDEPEND="
+       dev-util/glslang
+       dev-util/wayland-scanner
+"
+
+RDEPEND="
+       ${WLROOTS_RDEPEND}
+       dev-libs/glib:2
+       dev-libs/libinput
+       dev-libs/wayland
+       media-libs/libglvnd
+       x11-libs/cairo
+       x11-libs/libdrm
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+       X? (
+               x11-libs/libxcb:0=
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       ${WLROOTS_DEPEND}
+       dev-libs/hyprland-protocols
+       >=dev-libs/wayland-protocols-1.25
+"
+BDEPEND="
+       ${WLROOTS_BDEPEND}
+       || ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
+       app-misc/jq
+       dev-util/cmake
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} == binary ]] && return
+
+       if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
+               eerror "Hyprland requires >=sys-devel/gcc-13 to build"
+               eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+               die "GCC version is too old to compile Hyprland!"
+       elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
+               eerror "Hyprland requires >=sys-devel/clang-16 to build"
+               eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
+               die "Clang version is too old to compile Hyprland!"
+       fi
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature legacy-renderer legacy_renderer)
+               $(meson_feature systemd)
+               $(meson_feature X xwayland)
+               $(meson_feature X wlroots:xwayland)
+               -Dwlroots:backends=drm,libinput$(usev X ',x11')
+               -Dwlroots:xcb-errors=disabled
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       # First install everything except wlroots to avoid conflicts.
+       meson_src_install --skip-subprojects wlroots
+       # Then install development files (mainly wlroots) for bug #916760.
+       meson_src_install --tags devel
+
+       # Wlroots headers are required by hyprland-plugins and the pkgconfig 
file expects
+       # them to be in /usr/include/hyprland/wlroots, despite this they aren't 
installed there.
+       # Ideally you could override includedir per subproject and the install 
tags would
+       # be granular enough to only install headers. But its not requiring 
this.
+       mkdir "${ED}"/usr/include/hyprland/wlroots || die
+       mv "${ED}"/usr/include/wlr "${ED}"/usr/include/hyprland/wlroots || die
+       # devel tag includes wlroots .pc and .a files still
+       rm -rf "${ED}"/usr/$(get_libdir)/ || die
+}

Reply via email to